/*
    * Provides post summaries to all pages. That means every page can access summaries
    * for all posts on the website.
*/

import { posts } from './post/data.js';

// Basically the same as Post but might contain less infomation - save storage
type Summary = {
    url : string,
    title : string,
    description : string,
    creation_date : number,
    modification_date: number,
};

export function load() {
    let summaries : Summary[] = [];

    posts.map((post) => {
        let summary : Summary = {
            url: post.url,
            title : post.title,
            description : post.description,
            creation_date : post.creation_date,
            modification_date : post.modification_date
        };
        summaries.push(summary);
    });

    return { summaries };
}
